import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/mobile/shopStock";
import { renderImage } from "/@/utils/column-helper";
const columns = [
  {
    prop: "good_code",
    label: "商品编码",
    width: 140
  },
  {
    label: "图片",
    prop: "good_cover_img",
    width: 60,
    showOverflowTooltip: true,
    ...renderImage("good_cover_img")
  },
  {
    label: "商品名称",
    prop: "good_name",
    minWidth: 160
  },
  {
    prop: "inventory",
    label: "库存数",
    width: "110px"
  },
  {
    label: "售价",
    prop: "price",
    width: 110,
    showOverflowTooltip: true
  },

  {
    label: "单位",
    prop: "unit",
    width: 50,
    showOverflowTooltip: true
  },
  {
    label: "起订量",
    prop: "moq",
    width: 60,
    showOverflowTooltip: true
  },
  {
    label: "步长",
    prop: "step",
    width: 50,
    showOverflowTooltip: true
  },

  {
    prop: "updatetime",
    label: "更新时间",
    width: "140px"
  },

  {
    label: "操作",
    fixed: "right",
    width: 110,
    slot: "operation"
  }
];
const contentConfig: ContentConfig = {
  title: "卡类型管理",
  columns,
  apis: {
    httpList
  }
};

export default contentConfig;
